org.apache.fop.util.text

## Class EqualsFieldPart.Factory

- java.lang.Object
- - org.apache.fop.util.text.EqualsFieldPart.Factory

All Implemented Interfaces:
  AdvancedMessageFormat.PartFactory

Enclosing class:
  EqualsFieldPart

    public static class EqualsFieldPart.Factory
    extends Object
    implements AdvancedMessageFormat.PartFactory

Part factory for "equals".

### Constructor Summary

Constructors
Constructor and Description
`Factory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFormat()`
`AdvancedMessageFormat.Part` `newPart(String fieldName, String values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### newPart

    public AdvancedMessageFormat.Part newPart(String fieldName,
                                              String values)

Specified by:
  `newPart` in interface `AdvancedMessageFormat.PartFactory`

#### getFormat

    public String getFormat()

Specified by:
  `getFormat` in interface `AdvancedMessageFormat.PartFactory`